import request from '@/utils/request';

// 获取点检页面当前值
export function getInspectionCurrent(deviceId, inputTime) {
    return request({
        url: `/Check/currunt?deviceId=${deviceId}&inputTime=${inputTime}`,
        method: 'get'
    });
}

// 获取点检页面整点数值
export function getInspectionData(deviceId, inputTime, shift) {
    return request({
        url: `/Check/sharp?deviceId=${deviceId}&inputTime=${inputTime}&shift=${shift}`,
        method: 'get'
    });
}

// 获取点检页面参数
export function getCheckParas(deviceId, inputTime) {
    return request({
        url: `/Check/CheckParas?deviceTypeId=${deviceId}&inputTime=${inputTime}`,
        method: 'get'
    });
}

// 获取设备列表
export function getDeviceList() {
    return request({
        url: '/Check/deviceList',
        method: 'get'
    });
}

// 导出excel
export function exportExcel(deviceId, inputTime, shift) {
    return request({
        url: `/Check/Export/Juice?deviceTypeId=${deviceId}&inputTime=${inputTime}&shift=${shift}`,
        method: 'get',
        responseType: 'arraybuffer'  // 关键：设置响应类型为 arraybuffer
    });
}

// 报警相关接口
// 时间点确认点检，不传时间，默认当前时间
export function sharpConfirm(alarmId, confirmTime, checkUser) {
    return request({
        url: `/Check/sharpConfirm?alarmId=${alarmId}&checkUser=${checkUser}`,
        method: 'post'
    });
}

// 数据项点检
export function alarmReasonConfirm(data) {
    return request({
        url: '/Check/AlarmReason',
        method: 'post',
        data
    })
}