import axios from 'axios';

const service = axios.create({
  // baseURL: 'http://192.168.1.199:8080/api', // 办公室测试接口
  baseURL: 'http://39.105.9.124:8090/api', // 家用测试接口
  timeout: 5000, // 请求超时时间
  headers: {
    "Access-Control-Allow-Origin": "*",
    "Content-Type": "application/json;charset=utf-8"
  },
});

// 请求拦截器
service.interceptors.request.use(
  config => {
    // 可以在这里添加请求头等配置
    return config;
  },
  error => {
    return Promise.reject(error);
  }
);

// 响应拦截器
service.interceptors.response.use(
  response => {
    return response.data;
  },
  error => {
    return Promise.reject(error);
  }
);

export default service;
